searchData={"items":[{"type":"module","title":"Appsignal.Phoenix","doc":"AppSignal's Phoenix instrumentation instruments calls to Phoenix applications\nto gain performance insights and error reporting.","ref":"Appsignal.Phoenix.html"},{"type":"module","title":"Installation - Appsignal.Phoenix","doc":"To install `Appsignal.Phoenix` into your Phoenix application, `use\nAppsignal.Phoenix` in your application's endpoint module:\n\n    defmodule AppsignalPhoenixExampleWeb.Endpoint do\n      use Phoenix.Endpoint, otp_app: :appsignal_phoenix_example\n      use Appsignal.Phoenix\n\n      # ...\n    end","ref":"Appsignal.Phoenix.html#module-installation"},{"type":"module","title":"Appsignal.Phoenix.Channel","doc":"Instruments Phoenix channels.","ref":"Appsignal.Phoenix.Channel.html"},{"type":"module","title":"Usage - Appsignal.Phoenix.Channel","doc":"To instrument a Phoenix channel, wrap the contents of your handle_in/3\nfunction in an `Appsignal.Phoenix.Channel.instrument/5` call:\n\n    defmodule AppsignalPhoenixExampleWeb.RoomChannel do\n      use Phoenix.Channel\n\n      def join(\"room:lobby\", _message, socket) do\n        {:ok, socket}\n      end\n\n      def join(\"room:\" <> _private_room_id, _params, _socket) do\n        {:error, %{reason: \"unauthorized\"}}\n      end\n\n      def handle_in(\"new_msg\", %{\"body\" => body} = params, socket) do\n        Appsignal.Phoenix.Channel.instrument(__MODULE__, \"new_msg\", params, socket, fn ->\n          broadcast!(socket, \"new_msg\", %{body: body})\n          {:noreply, socket}\n        end)\n      end\n    end","ref":"Appsignal.Phoenix.Channel.html#module-usage"},{"type":"function","title":"Appsignal.Phoenix.Channel.channel_action/4","doc":"","ref":"Appsignal.Phoenix.Channel.html#channel_action/4"},{"type":"function","title":"Appsignal.Phoenix.Channel.instrument/4","doc":"","ref":"Appsignal.Phoenix.Channel.html#instrument/4"},{"type":"function","title":"Appsignal.Phoenix.Channel.instrument/5","doc":"","ref":"Appsignal.Phoenix.Channel.html#instrument/5"},{"type":"module","title":"Appsignal.Phoenix.LiveView","doc":"","ref":"Appsignal.Phoenix.LiveView.html"},{"type":"function","title":"Appsignal.Phoenix.LiveView.attach/0","doc":"","ref":"Appsignal.Phoenix.LiveView.html#attach/0"},{"type":"function","title":"Appsignal.Phoenix.LiveView.handle_event_exception/4","doc":"","ref":"Appsignal.Phoenix.LiveView.html#handle_event_exception/4"},{"type":"function","title":"Appsignal.Phoenix.LiveView.handle_event_start/4","doc":"","ref":"Appsignal.Phoenix.LiveView.html#handle_event_start/4"},{"type":"function","title":"Appsignal.Phoenix.LiveView.handle_event_stop/4","doc":"","ref":"Appsignal.Phoenix.LiveView.html#handle_event_stop/4"},{"type":"function","title":"Appsignal.Phoenix.LiveView.instrument/4","doc":"","ref":"Appsignal.Phoenix.LiveView.html#instrument/4"},{"type":"function","title":"Appsignal.Phoenix.LiveView.instrument/5","doc":"","ref":"Appsignal.Phoenix.LiveView.html#instrument/5"},{"type":"function","title":"Appsignal.Phoenix.LiveView.live_view_action/4","doc":"","ref":"Appsignal.Phoenix.LiveView.html#live_view_action/4"},{"type":"function","title":"Appsignal.Phoenix.LiveView.live_view_action/5","doc":"","ref":"Appsignal.Phoenix.LiveView.html#live_view_action/5"},{"type":"module","title":"Appsignal.Phoenix.View","doc":"AppSignal.Phoenix.View instruments template rendering.","ref":"Appsignal.Phoenix.View.html"},{"type":"module","title":"Installation - Appsignal.Phoenix.View","doc":"To install `Appsignal.Phoenix.View` into your Phoenix application, `use\nAppsignal.Phoenix.View` in your application's view function in the web\nmodule, after the existing `use Phoenix.View` line:\n\n  defmodule AppsignalPhoenixExampleWeb do\n    # ...\n\n    def view do\n      quote do\n        use Phoenix.View,\n          root: \"lib/appsignal_phoenix_example_web/templates\",\n          namespace: AppsignalPhoenixExampleWeb\n\n        use Appsignal.Phoenix.View # <- Add this line\n\n        # Import convenience functions from controllers\n        import Phoenix.Controller, only: [get_flash: 1, get_flash: 2, view_module: 1]\n\n        # Include shared imports and aliases for views\n        unquote(view_helpers())\n      end\n    end\n    # ...\n  end","ref":"Appsignal.Phoenix.View.html#module-installation"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}